- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CTerrain Class Reference

CTerrain class renders all scenography in the game level. More...

`#include <Terrain.h>`

Collaboration diagram for CTerrain:

[legend]

List of all members.

## Public Member Functions
| CTerrain ()
| Standard constructor.
| ~CTerrain ()
| Standard destructor.
bool | Init (HWND hWnd, LPDIRECT3DDEVICE9 device, int screenWidth, int screenHeight)
| Init function loads terrain models.
void | OnRender (LPDIRECT3DDEVICE9 pd3dDevice, bool details)
| Render function draws terrain models on the screen.
void | OnFrameMove (LPDIRECT3DDEVICE9 pd3dDevice, double fTime, float fElapsedTime, bool details)
| Positions all models arround the terrain forming scenography. Also animates moveable objects (if any).
void | OnLostDevice ()
| Its important to call this function BEFORE device is reset, like when switching to/from fullscreen mode.
void | OnResetDevice (LPDIRECT3DDEVICE9 pd3dDevice)
| Its important to call this function AFTER device is reset, like when switching to/from fullscreen mode.

## Detailed Description

CTerrain class renders all scenography in the game level.

CTerrain manages all static meshes on the game level. There is no collision detection with the terrain and no multiple scenes.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Constructor & Destructor Documentation

CTerrain::CTerrain | ( |  | ) |

Standard constructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

CTerrain::~CTerrain | ( |  | ) |

Standard destructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Member Function Documentation

bool CTerrain::Init | ( | HWND | hWnd,
|  | LPDIRECT3DDEVICE9 | pd3dDevice,
|  | int | screenWidth,
|  | int | screenHeight |
| ) |  |  |

Init function loads terrain models.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CTerrain::OnRender | ( | LPDIRECT3DDEVICE9 | pd3dDevice,
|  | bool | details |
| ) |  |  |

Render function draws terrain models on the screen.

Parameters:

  | details | boolean telling if details should be rendered (on slower graphics, low details can speed up framerate)

Author:
  Petar Bajic

Date:
  January, 16 2007.

Treez 2

void CTerrain::OnFrameMove | ( | LPDIRECT3DDEVICE9 | pd3dDevice,
|  | double | fTime,
|  | float | fElapsedTime,
|  | bool | details |
| ) |  |  |

Positions all models arround the terrain forming scenography. Also animates moveable objects (if any).

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CTerrain::OnLostDevice | ( |  | ) |

Its important to call this function BEFORE device is reset, like when switching to/from fullscreen mode.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CTerrain::OnResetDevice | ( | LPDIRECT3DDEVICE9 | pd3dDevice | ) |

Its important to call this function AFTER device is reset, like when switching to/from fullscreen mode.

Author:
  Petar Bajic

Date:
  January, 16 2007.

The documentation for this class was generated from the following files:

- My Documents/TS2/inc/Terrain.h
- My Documents/TS2/src/Terrain.cpp